Subject: RE: Compiling apps to Mingw32 with cygwin
From: "Jon Leichter" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 10 Jan 2002 17:33:02 -0800

> -----Original Message-----
> From: Robert Collins [mailto:[email-masked]]
> Sent: Thursday, January 10, 2002 5:27 PM
> To: Jon Leichter
> Cc: [email-masked]
> Subject: Re: Compiling apps to Mingw32 with cygwin
>
>
> ----- Original Message -----
> From: "Jon Leichter" <[email-masked]>
> To: "Robert Collins" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Friday, January 11, 2002 12:20 PM
> Subject: RE: Compiling apps to Mingw32 with cygwin
>
>
> > Ok. I need to return to asking some questions with my new
> understanding
> > of --build, --host, and --target (which I'm incredibly grateful for
> and
> > happy about).
> >
> > I have returned to working with OpenLDAP. The configure script is
> generated
> > with autconf-2.13.1. It uses AC_CANONICAL_SYSTEM, which you say is
> > deprecated. I assume, however, that it still works to some extent.
> >
> > I tried to configure with the following:
> >
> > $ ./configure --build=i686-pc-cygwin --host=i686-pc-mingw32
> >
> > I've left --target off, since I know it will get the value of --host,
> which
> > is what I want. It does.
> >
> > First, some questions:
> >
> > - What is correct: i386-pc-mingw32 or i686-pc-mingw32? If one is
> correct,
> > why? If both are correct, how does one decide which one to use?
> >
> > - I notice that if I merely use --host=mingw32, config.guess will
> equate
> > "mingw32" as "i386-unknown-mingw32". Why?
> >
> > - Is there a plan to get "32" from "mingw32", i.e. "mingw"? Of course,
> that
> > won't be useful with old projects that still need the "32" to be
> present...
> > :(
> >
> > ===
> >
> > Now my results:
> >
> > - I never see configure look for i686-pc-mingw32-gcc. It merely picks
> up
> > 'gcc'. Any ideas why?
>
> Do you have an accessible i686-pc-mingw32-gcc ?
>
> have a look at the configure script - it may provide some clues :}.
>
> Rob
>

Sorry... I left that out. Yes, I do have an accessible i686-pc-mingw32-gcc,
and I am looking at the configure script. It just searches for gcc. It
doesn't bother to look for the prefixed tool.

Jon

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/